Upper Saddle River Schools
Secure File Transfer Application

 

Note: This software requires that you accept the security dialog displayed and have Java-Plugin version 1.5 or above installed. If the applet below does not appear or appears as a grey screen then your current Java virtual machine may not be compatible with Secure FTP Applet. To run Secure FTP Applet please download the latest Java-Plugin.

 

Directions for Staff
Directions for Administrators
Directions for BOE Staff
Directions for Board Members